# $Revision: 1.15 $, $Date: 2006/11/30 16:47:33 $
Summary:	Communication software for t68i phone
Summary(pl):	Oprogramowanie komunikacyjne dla telefonu t68i
Name:		k68
Version:	0.2.1
Release:	5
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/k68/%{name}-%{version}.tar.bz2
# Source0-md5:	82d1306995bc8b10922108e17127a708
Source1:	http://ep09.pld-linux.org/~djurban/kde/kde-common-admin.tar.bz2
# Source1-md5:	81e0b2f79ef76218381270960ac0f55f
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-openobex-pkgconfig.patch
Patch2:		kde-ac260.patch
URL:		http://k68.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	openobex-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K68 is a tool for communicating with a Sony Ericsson(R) T68i or T68
mobile phone.

%description -l pl
K68 to narzdzie do komunikacji z telefonami komrkowymi Sony
Ericsson(R) T68i oraz T68.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# be permissive - BDADDR_ANY from <bluetooth/bluetooth.h> used in k68.cpp
# is a compound statement, which ISO C++ forbids
CXXFLAGS="%{rpmcflags} -fpermissive"
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake
%{__make} -f admin/Makefile.common cvs

%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde

mv   $RPM_BUILD_ROOT{%{_datadir}/applnk/Utilities,%{_desktopdir}}/k68.desktop
echo "Categories=Qt;KDE;Office;PDA;" >> $RPM_BUILD_ROOT%{_desktopdir}/k68.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/k68.desktop
%{_datadir}/mimelnk/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: k68.spec,v $
Revision 1.15  2006/11/30 16:47:33  glen
- rel 5

Revision 1.14  2006/11/28 23:01:26  glen
- add kde-ac260.patch

Revision 1.13  2006/10/25 19:07:49  glen
- adapter

Revision 1.12  2006/10/25 19:06:00  glen
- try pkgconfig for openobex detection; rel 4

Revision 1.11  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.10  2005/05/17 07:45:11  ankry
- really added patch, rel. 3

Revision 1.9  2005/05/13 08:08:25  ankry
- added -desktop patch, rel. 2

Revision 1.8  2005/03/18 17:22:09  darekr
- unified; _kdedocdir needs macros 1.129

Revision 1.7  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.6  2004/09/02 15:41:09  djurban
- kto sie spieszy ten robi dwa razy - rel. 1 another rebuild

Revision 1.5  2004/09/02 15:32:01  djurban
- fix categories=

Revision 1.4  2004/09/02 15:30:19  djurban
- updated to 0.2.1, vfolders,unsermake, pldized stbring.

Revision 1.3  2003/10/08 08:55:21  qboosh
- fixed description, fixed build with modern gcc, added URL and BRs

Revision 1.2  2003/09/28 13:20:19  arekm
- updated

Revision 1.1  2003/09/27 09:44:57  adasi
- initial rev.
